Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# SAction Class Reference

`#include <InputActionList.h>`

## Public Methods
| SAction ()
| SAction (const SAction &Action)
| SAction (int Action)
| SAction (int Action, std::string Param)
void | SetParam (std::string Param)
bool | AllActionDone ()
## Data Fields
int | m_Action
int | m_ActionNumber
std::string | m_Param
double | m_StartingLife
double | m_ExecutingLife
bool | m_executed
SAction * | m_NextAction

## Constructor & Destructor Documentation

SAction | ( |  | ) | `[inline]`

| Definition at line 282 of file InputActionList.h. References m_Action, m_ActionNumber, m_executed, m_ExecutingLife, m_Param, and m_StartingLife.
    00283         {
    00284                 m_NextAction=NULL;
    00285                 m_Action=0;
    00286                 m_ActionNumber=0;
    00287                 m_executed=false;
    00288                 m_StartingLife=(double)((double)glutGet(GLUT_ELAPSED_TIME)/1000);
    00289                 m_ExecutingLife=-1;
    00290                 m_Param="NULL";
    00291         }

SAction | ( | const SAction & | Action | ) | `[inline]`

| Definition at line 292 of file InputActionList.h. References m_Action, m_ActionNumber, m_executed, m_ExecutingLife, m_NextAction, m_Param, and m_StartingLife.
    00293         {
    00294                 m_NextAction=Action.m_NextAction;
    00295                 m_Action=Action.m_Action;
    00296                 m_ActionNumber=0;
    00297                 m_executed=Action.m_executed;
    00298                 m_StartingLife=Action.m_StartingLife;
    00299                 m_ExecutingLife=Action.m_ExecutingLife;
    00300                 m_Param=Action.m_Param;
    00301         }

SAction | ( | int | Action | ) | `[inline]`

| Definition at line 302 of file InputActionList.h. References m_Action, m_ActionNumber, m_executed, m_ExecutingLife, m_Param, and m_StartingLife.
    00303         {
    00304                 m_NextAction=NULL;
    00305                 m_Action=Action;
    00306                 m_ActionNumber=0;
    00307                 m_executed=false;
    00308                 m_StartingLife=(double)((double)glutGet(GLUT_ELAPSED_TIME)/1000);
    00309                 m_ExecutingLife=-1;
    00310                 m_Param="NULL";
    00311         }

SAction | ( | int | Action,
|  | std::string | Param
| ) | `[inline]`

| Definition at line 312 of file InputActionList.h. References m_Action, m_ActionNumber, m_executed, m_ExecutingLife, m_Param, and m_StartingLife.
    00313         {
    00314                 m_NextAction=NULL;
    00315                 m_Action=Action;
    00316                 m_ActionNumber=0;
    00317                 m_executed=false;
    00318                 m_StartingLife=(double)((double)glutGet(GLUT_ELAPSED_TIME)/1000);
    00319                 m_ExecutingLife=-1;
    00320                 m_Param=Param;
    00321         }

## Member Function Documentation

bool AllActionDone | ( |  | ) | `[inline]`

| Definition at line 326 of file InputActionList.h. References m_executed.
    00327         {
    00328                 while(this->m_NextAction!=NULL)
    00329                 {
    00330                         if(this->m_executed==false)
    00331                         {
    00332                                 return false;//one action is not done return false to keep action
    00333                         }
    00334                 }
    00335                 return true;
    00336         }

void SetParam | ( | std::string | Param | ) | `[inline]`

| Definition at line 322 of file InputActionList.h. References m_Param.
    00323         {
    00324                 m_Param=Param;
    00325         }

## Field Documentation

int m_Action

| Definition at line 272 of file InputActionList.h. Referenced by SAction().

int m_ActionNumber

| Definition at line 273 of file InputActionList.h. Referenced by SAction().

bool m_executed

| Definition at line 278 of file InputActionList.h. Referenced by AllActionDone(), and SAction().

double m_ExecutingLife

| Definition at line 277 of file InputActionList.h. Referenced by SAction().

SAction* m_NextAction

| Definition at line 280 of file InputActionList.h. Referenced by SAction().

std::string m_Param

| Definition at line 274 of file InputActionList.h. Referenced by SAction(), and SetParam().

double m_StartingLife

| Definition at line 276 of file InputActionList.h. Referenced by SAction().

The documentation for this class was generated from the following file:

- InputActionList.h